ExtremeSwitching (EXOS)

Expand all | Collapse all

BD-X8 Software versions (MM-A) and (MM-B) are incompatible

  • 1.  BD-X8 Software versions (MM-A) and (MM-B) are incompatible

    Posted 02-01-2019 08:41
    Hi, all!

    How to correctly made installation of MM1 to slot A?

    After install MM-A:
    02/01/2019 09:53:50.69 MM-B: Software versions 15.2.2.7(MM-A) and 16.2.5.4(MM-B) are incompatible
    02/01/2019 07:23:10.82 MM-B: Software versions 15.2.2.7(MM-A) and 16.2.5.4(MM-B) are incompatible
    02/01/2019 06:23:18.19 MM-B: Software versions 15.2.2.7(MM-A) and 16.2.5.4(MM-B) are incompatible
    02/01/2019 05:58:47.63 MM-B: Software versions 15.2.2.7(MM-A) and 16.2.5.4(MM-B) are incompatible
    02/01/2019 04:27:14.78 MM-B: Software versions 15.2.2.7(MM-A) and 16.2.5.4(MM-B) are incompatible

    Slot: MM-A MM-B *
    ------------------------ ------------------------
    Current State: MASTER

    Image Selected: secondary
    Image Booted: secondary
    Primary ver: 15.3.1.4
    Secondary ver: 16.2.5.4
    patch1-5

    BootROM : 1.0.0.9
    Diagnostics : 1.11 (MM), 1.21 (I/O and FM)
    FM-2 : 800433-00-04 1220G-02993 Rev 4.0 BootROM: 1.0.0.13 IMG: 16.2.5.4
    FM-3 : 800433-00-04 1220G-03014 Rev 4.0 BootROM: 1.0.0.13 IMG: 16.2.5.4
    FM-4 : 800433-00-04 1220G-03013 Rev 4.0 BootROM: 1.0.0.13 IMG: 16.2.5.4

    After upgrade to 16.2.5.4 was upgraded bootrom too.

    Do we have to?
    • reboot MM-B with 15.3.1.4
    • MM's have to synchronizing (does switch will function normally with EXOS 15.3.1.4 and BootRom 1.0.0.9 (1.0.0.13)? Because when upgraded to 16.2.5.4 BotRom upgraded too)
    • upgrade to 16.2.5.4
    Or we could:
    • connect with console to MM-A
    • go to BootRom
    • upgrade MM-A from BootRom to 16.2.5.4
    ?

    Thank you!


  • 2.  RE: BD-X8 Software versions (MM-A) and (MM-B) are incompatible

    Posted 02-01-2019 15:10
    Alexander I am pretty sure you can fix this by running the sync command from the master... this will be a cpu intensive but that command will copy all images, configuration files, and policies form the master and reboot the slave once done.. The MSM should then sync and be happy... Found another case that had a similar problem https://community.extremenetworks.com/extremeswitching-exos-223284/replacing-msm-software-incompatible-6724826


  • 3.  RE: BD-X8 Software versions (MM-A) and (MM-B) are incompatible

    Posted 02-01-2019 15:15


    Hi!

    I think no, because
    # show slot a

    MM-A information:
    State: Empty
    Flags:
    Serial number:
    Hw Module Type:
    Configured Type:
    Ports available: 0
    Recovery Mode: Reset

    And
    # download image xxx.xxx.xxx.xxx bdX-16.2.5.4-patch1-5.xos "VR-Default" mm a
    Error: Internal error: failed to lookup EPM peer(slot=13)

    Thank you!


  • 4.  RE: BD-X8 Software versions (MM-A) and (MM-B) are incompatible

    Posted 02-01-2019 19:58
    Well double darn it... Hope you have a spare chassis around to drop 16.2 on this msm then... I will make a note of this as we are running a mix of 15.xx and 16.xxx on the 12 or so 8900 we still have out in the plant.. I knew there was a reason we kept those old ones we decommissioned 🙂